Get Signed URL
Retrieve the signed URL for a private asset to access it. Learn more about private assets in the Assets concept.
https://api.storyblok.com/v2/cdn/assets/meQuery parameters
Section titled “Query parameters”-
tokenrequired stringAn asset token configured in the space
-
filenamerequired stringComplete URL of the asset
Response properties
Section titled “Response properties”-
assetobjectasset object received in the response of a get signed URL request.
Show asset object child properties
-
altstringAlt text for the asset (default language)
-
asset_folder_idnumberID of the folder containing this asset
-
content_lengthnumberThe content length in bytes
-
content_typestringThe content type (e.g., image/png)
-
copyrightstringCopyright text for the asset (default language)
-
created_atstringCreation date (Format: yyyy-MM-dd’T’HH:mm:ssZ)
-
expire_atstringDate when the asset should expire (Format: yyyy-MM-dd’T’HH:mm:ssZ)
-
filenamestringFull path of the asset, including the file name
-
focusstringThe focus point of the image (only for image assets)
-
is_privatebooleanDefines if the asset should be inaccessible to the public
-
signed_urlstringThe signed URL for the asset
-
titlestringTitle of the asset
-
Examples
Section titled “Examples”curl "https://api.storyblok.com/v2/cdn/assets/me\?token=cNGPp8cvuCfoAZB3g3eHrAtt\&filename=https%3A%2F%2Fa.storyblok.com%2Ff%2F44203%2Fx%2F5231aa9c8a%2Ffavicon.ico"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ accessToken: "krcV6QGxWORpYLUWt12xKQtt",});
try { const response = await storyblok.get('cdn/assets/me', { "filename": "https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico" }) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
$client->get('assets/me', [ "filename" => "https =>//a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico"])->getBody();HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/assets/me?token=cNGPp8cvuCfoAZB3g3eHrAtt&filename=https%3A%2F%2Fa.storyblok.com%2Ff%2F44203%2Fx%2F5231aa9c8a%2Ffavicon.ico") .asString();var client = new RestClient("https://api.storyblok.com/v2/cdn/assets/me?token=cNGPp8cvuCfoAZB3g3eHrAtt&filename=https%3A%2F%2Fa.storyblok.com%2Ff%2F44203%2Fx%2F5231aa9c8a%2Ffavicon.ico");var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);import requests
url = "https://api.storyblok.com/v2/cdn/assets/me"
querystring = {"token":"cNGPp8cvuCfoAZB3g3eHrAtt","filename":"https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico"}
payload = ""headers = {}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(token: 'YOUR_TOKEN')
client.get('assets/me', {:params => { "filename" => "https =>//a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico"}})let storyblok = URLSession(storyblok: .cdn(accessToken: "cNGPp8cvuCfoAZB3g3eHrAtt"))var request = URLRequest(storyblok: storyblok, path: "assets/me")request.url!.append(queryItems: [ URLQueryItem(name: "filename", value: "https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico")])let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(CDN)) { accessToken = "cNGPp8cvuCfoAZB3g3eHrAtt" }}
val response = client.get("assets/me") { url { parameters.append("filename", "https://a.storyblok.com/f/44203/x/5231aa9c8a/favicon.ico") }}
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window) . Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community